<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="CultureCriteriaTemplate"  package="performa.orm">
        
        <IMPORT value="oneit.security.*"/>
                
        <MULTIPLEREFERENCE  name="CultureCriterias"     type="CultureCriteria"      backreferenceName="Template" />
        
        <TABLE  name="tl_culture_template"   tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="TemplateName"     type="String"   dbcol="template_name"       length="100"    uniqueGroup="TemplateID"/>
            <ATTRIB name="CultureStatement" type="String"   dbcol="culture_statement"   length="2000"/>
            
            <SINGLEREFERENCE    name="Client"       type="Client"       dbcol="client_id"       />
            <SINGLEREFERENCE    name="HiringTeam"   type="HiringTeam"   dbcol="hiring_team_id"  uniqueGroup="TemplateID"/>
            <SINGLEREFERENCE    name="CompanyUser"  type="CompanyUser"  dbcol="company_user_id" uniqueGroup="TemplateID"/>

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_culture_template.object_id is not null"   orderBy="tl_culture_template.object_id"   />
         
    </BUSINESSCLASS>
    
</ROOT>